--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...
function NS:LoadSettingsRaidFrames()
	local FauxMazzle = {
		backgroundcolor = { 
			r=0.411, 
			g=0.721, 
			b=1, 
			a=0.85 
		}, 
		healthcolor = {
			default = { r=0, g=1, b=0 },
			low = { r=1, g=1, b=0 },
			critical = { r=1, g=0, b=0 },
			thresholdlow = .6,
			thresholdcritical = .4,
		},
		namecolor = { 
			r=1, 
			g=1, 
			b=1, 
			a=1 
		}, -- if not using class colours
		nameshadow = { 
			r=0, 
			g=0, 
			b=0, 
			a=1 
		},
		showpower = {
--			MANA = true,
		},
		showrole = {
			TANK = true,
			HEALER = true,
		},
		blizzardframes = false,
		orderbygroup = true,
		classnamecolors = true,
		highlightplayer = true,
		highlightleader = true,
		oorangealpha = .55,
		raidiconalpha = .55,
--		raidicons = false,
--		showsolo = false -- probably never need a config. checkbox for this but...
--		rolesleft = false, -- swaps the group head frame positions in a role sorted list -- may never be used
	}
	return FauxMazzle
end

function NS:ForceRestRaidFrames()
	local Resets = {
		orderbygroup = "attr", -- "attr" means uses attribute (might have to do something about identying the specific attribute name
--		rolesleft = "attr", --("attr" I think), swaps the group head frame positions in a role sorted list -- may never be used
	}
	return Resets
end
